0.9.9 API documenation

- Main Page
- Modules
- Files

Functions
GLM_GTX_matrix_transform_2d
GTX Extensions (Experimental)

Defines functions that generate common 2d transformation matrices. More...

## Functions
template<typename T , qualifier P>
GLM_FUNC_QUALIFIER mat< 3, 3, T, P > | rotate (mat< 3, 3, T, P > const &m, T angle)
| Builds a rotation 3 * 3 matrix created from an angle. More...
template<typename T , qualifier P>
GLM_FUNC_QUALIFIER mat< 3, 3, T, P > | scale (mat< 3, 3, T, P > const &m, vec< 2, T, P > const &v)
| Builds a scale 3 * 3 matrix created from a vector of 2 components. More...
template<typename T , qualifier P>
GLM_FUNC_QUALIFIER mat< 3, 3, T, P > | shearX (mat< 3, 3, T, P > const &m, T y)
| Builds an horizontal (parallel to the x axis) shear 3 * 3 matrix. More...
template<typename T , qualifier P>
GLM_FUNC_QUALIFIER mat< 3, 3, T, P > | shearY (mat< 3, 3, T, P > const &m, T x)
| Builds a vertical (parallel to the y axis) shear 3 * 3 matrix. More...
template<typename T , qualifier P>
GLM_FUNC_QUALIFIER mat< 3, 3, T, P > | translate (mat< 3, 3, T, P > const &m, vec< 2, T, P > const &v)
| Builds a translation 3 * 3 matrix created from a vector of 2 components. More...

## Detailed Description

Defines functions that generate common 2d transformation matrices.

<glm/gtx/matrix_transform_2d.hpp> need to be included to use these functionalities.

## Function Documentation

GLM_FUNC_QUALIFIER mat<3, 3, T, P> glm::rotate | ( | mat< 3, 3, T, P > const & | m,
|  | T | angle
| ) |  |

Builds a rotation 3 * 3 matrix created from an angle.

Parameters

  m | Input matrix multiplied by this translation matrix.
  angle | Rotation angle expressed in radians.

GLM_FUNC_QUALIFIER mat<3, 3, T, P> glm::scale | ( | mat< 3, 3, T, P > const & | m,
|  | vec< 2, T, P > const & | v
| ) |  |

Builds a scale 3 * 3 matrix created from a vector of 2 components.

Parameters

  m | Input matrix multiplied by this translation matrix.
  v | Coordinates of a scale vector.

GLM_FUNC_QUALIFIER mat<3, 3, T, P> glm::shearX | ( | mat< 3, 3, T, P > const & | m,
|  | T | y
| ) |  |

Builds an horizontal (parallel to the x axis) shear 3 * 3 matrix.

Parameters

  m | Input matrix multiplied by this translation matrix.
  y | Shear factor.

GLM_FUNC_QUALIFIER mat<3, 3, T, P> glm::shearY | ( | mat< 3, 3, T, P > const & | m,
|  | T | x
| ) |  |

Builds a vertical (parallel to the y axis) shear 3 * 3 matrix.

Parameters

  m | Input matrix multiplied by this translation matrix.
  x | Shear factor.

GLM_FUNC_QUALIFIER mat<3, 3, T, P> glm::translate | ( | mat< 3, 3, T, P > const & | m,
|  | vec< 2, T, P > const & | v
| ) |  |

Builds a translation 3 * 3 matrix created from a vector of 2 components.

Parameters

  m | Input matrix multiplied by this translation matrix.
  v | Coordinates of a translation vector.